Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.comp
Class CompetitiveNeuron

    java.lang.Object
      org.neuroph.core.Neuron
          org.neuroph.nnet.comp.DelayedNeuron
              org.neuroph.nnet.comp.CompetitiveNeuron

All Implemented Interfaces:
  java.io.Serializable

    public class CompetitiveNeuron

extends DelayedNeuron

Provides neuron behaviour specific for competitive neurons which are used in competitive layers, and networks with competitive learning.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.nnet.comp.DelayedNeuron
`outputHistory`

Fields inherited from class org.neuroph.core.Neuron
`error, inputConnections, inputFunction, netInput, outConnections, output, parentLayer, transferFunction`

Constructor Summary
`CompetitiveNeuron(InputFunction inputFunction, TransferFunction transferFunction)` Creates an instance of CompetitiveNeuron with specified input and transfer functions

Method Summary
`void` | `addInputConnection(Connection connection)` Adds input connection for this competitive neuron
`void` | `calculate()` Calculates neuron's output
`java.util.Vector<Connection>` | `getConnectionsFromOtherLayers()` Returns collection of connections from other layers
`boolean` | `isCompeting()` Retruns true if this neuron is in competing mode, false otherwise
`void` | `reset()` Resets the input, output and mode for this neuron
`void` | `setIsCompeting(boolean isCompeting)` Sets the flag to indicate that this neuron is in competing mode

Methods inherited from class org.neuroph.nnet.comp.DelayedNeuron
`getOutput`

Methods inherited from class org.neuroph.core.Neuron
`addInputConnection, addInputConnection, addOutputConnection, getConnectionFrom, getError, getInputConnections, getInputFunction, getInputsIterator, getNetInput, getOutConnections, getOutput, getParentLayer, getTransferFunction, getWeightsVector, hasInputConnections, initializeWeights, initializeWeights, initializeWeights, randomizeInputWeights, removeInputConnectionFrom, setError, setInput, setInputFunction, setOutput, setParentLayer, setTransferFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompetitiveNeuron

    public CompetitiveNeuron(InputFunction inputFunction,
                             TransferFunction transferFunction)

  Creates an instance of CompetitiveNeuron with specified input and transfer functions

  Parameters:
    `inputFunction` - neuron input function
    `transferFunction` - neuron ransfer function

Method Detail

### calculate

    public void calculate()

  Description copied from class: `Neuron`
  Calculates neuron's output

  Overrides:
    `calculate` in class `DelayedNeuron`

### addInputConnection

    public void addInputConnection(Connection connection)

  Adds input connection for this competitive neuron

  Overrides:
    `addInputConnection` in class `Neuron`
  Parameters:
    `connection` - input connection

### getConnectionsFromOtherLayers

    public java.util.Vector<Connection> getConnectionsFromOtherLayers()

  Returns collection of connections from other layers

  Returns:
    collection of connections from other layers

### reset

    public void reset()

  Resets the input, output and mode for this neuron

  Overrides:
    `reset` in class `Neuron`

### isCompeting

    public boolean isCompeting()

  Retruns true if this neuron is in competing mode, false otherwise

  Returns:
    true if this neuron is in competing mode, false otherwise

### setIsCompeting

    public void setIsCompeting(boolean isCompeting)

  Sets the flag to indicate that this neuron is in competing mode

  Parameters:
    `isCompeting` - value for the isCompeting flag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD